import { baseHttpUtils } from "@/utils/http/baseHttpUtils";
import { Count } from "@/models/equip";

/**
 * 设备相关接口
 */
class Equip {
  static http = new baseHttpUtils();
  static pre = "/datacenter/object";
  static async getEquipTableCon() {}
  static async queryEquip() {}
  /**
   * 根据条件查询统计数量
   * @param {Count} params
   * @returns
   */
  static async countEquip(params: Count) {
    return await this.http.postRequest(this.pre + "/equip/count", params);
    // return {};
  }
}

export default Equip;
